POSTmanifest

XRP Ledger Mainnethttps://xrpl-mainnet.nodit.io/

Reports the manifest information for a given validator public key. A manifest is the data that proves a validator's master key has authorized an ephemeral signing key.

Request Body
methodstringrequired
public_keystringrequired

The base58-encoded public key of the validator to look up. Both the master public key and the ephemeral public key can be used.

Responses
domainstring

The domain name claimed by the validator. Returns an empty string when absent.

ephemeral_keystring

The base58-encoded ephemeral public key.

master_keystring

The base58-encoded master public key.

seqinteger

The sequence number of the manifest. It increments each time the manifest is updated.

manifeststring

The full manifest, base64-encoded. Omitted when the manifest is unavailable.

requestedstring

Echoes the public key provided in the request.

X-API-KEY
RequestCU15
cURL
curl -X POST "https://xrpl-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "method": "manifest",
  "params": [
    {
      "public_key": "nHUFE9prPXPrHcG3SkwP1UzAQbSphqyQkQK9ATXLZsfkezhhda3p"
    }
  ]
}'
Response
Example · 200
{
  "result": {
    "details": {
      "domain": "",
      "ephemeral_key": "n9J1GJHtua77TBEzirncYsSkkFBnKaC5Zn1Bzt7pi5PQKcqTnRJP",
      "master_key": "nHUFE9prPXPrHcG3SkwP1UzAQbSphqyQkQK9ATXLZsfkezhhda3p",
      "seq": 1
    },
    "manifest": "JAAAAAFxIe1FtqmSSDzsoP2RvMBhF6ULLbBpNhLmMPzGtjEIkwGYaXMh...",
    "requested": "nHUFE9prPXPrHcG3SkwP1UzAQbSphqyQkQK9ATXLZsfkezhhda3p"
  }
}